a {
    color: var(--link-color);
}

body {
    --background-color: #fff;
    --error-code-color: var(--google-gray-700);
    --google-blue-100: rgb(210, 227, 252);
    --google-blue-300: rgb(138, 180, 248);
    --google-blue-600: rgb(26, 115, 232);
    --google-blue-700: rgb(25, 103, 210);
    --google-gray-100: rgb(241, 243, 244);
    --google-gray-300: rgb(218, 220, 224);
    --google-gray-500: rgb(154, 160, 166);
    --google-gray-50: rgb(248, 249, 250);
    --google-gray-600: rgb(128, 134, 139);
    --google-gray-700: rgb(95, 99, 104);
    --google-gray-800: rgb(60, 64, 67);
    --google-gray-900: rgb(32, 33, 36);
    --heading-color: var(--google-gray-900);
    --link-color: rgb(88, 88, 88);
    --popup-container-background-color: rgba(0, 0, 0, .65);
    --primary-button-fill-color-active: var(--google-blue-700);
    --primary-button-fill-color: var(--google-blue-600);
    --primary-button-text-color: #fff;
    --quiet-background-color: rgb(247, 247, 247);
    --secondary-button-border-color: var(--google-gray-500);
    --secondary-button-fill-color: #fff;
    --secondary-button-hover-border-color: var(--google-gray-600);
    --secondary-button-hover-fill-color: var(--google-gray-50);
    --secondary-button-text-color: var(--google-gray-700);
    --small-link-color: var(--google-gray-700);
    --text-color: var(--google-gray-700);
    --edge-background: var(--edge-grey-background);
    --edge-black: #101010;
    --edge-focus-color: #838383;
    --edge-blue-hover: #0078D4;
    --edge-blue-pressed: #1081D7;
    --edge-blue-rest: #0070C6;
    --edge-blue-selected: #004274;
    --edge-border-hover: #949494;
    --edge-border-pressed: #ADADAD;
    --edge-border-rest: #C5C5C5;
    --edge-grey-background: #F6F6F6;
    --edge-grey-selected: #C6C6C6;
    --edge-light-grey-hover: #F3F3F3;
    --edge-light-grey-pressed: #F7F7F7;
    --edge-light-grey-rest: #EFEFEF;
    --edge-primary-text-color: var(--edge-black);
    --edge-secondary-text-color: var(--edge-text-grey-rest);
    --edge-text-blue-hover: #0070C6;
    --edge-text-blue-rest: #0061AB;
    --edge-text-blue-pressed: #1081D7;
    --edge-text-grey-rest: #6F6F6F;
    --edge-white: #FFFFFF;
    --edge-primary-button-focus-shadow: 0 0 0 2px inset #F2F8FD;
    --edge-focus-outline: 2px solid var(--edge-focus-color);
    background: var(--edge-background);
    color: var(--edge-primary-text-color);
    word-wrap: break-word;
}

html {
    -webkit-text-size-adjust: 100%;
    font-size: 125%;
}

.icon {
    background-repeat: no-repeat;
    background-size: 100%;
}

button {
    border: 0;
    border-radius: 2px;
    box-sizing: border-box;
    color: var(--primary-button-text-color);
    cursor: pointer;
    float: right;
    font-size: .875em;
    margin: 0;
    padding: 8px 16px;
    transition: box-shadow 150ms cubic-bezier(0.4, 0, 0.2, 1);
    user-select: none;
}

[dir='rtl'] button {
    float: left;
}

.bad-clock button,
.captive-portal button,
.https-only button,
.insecure-form button,
.lookalike-url button,
.main-frame-blocked button,
.pdf button,
.ssl button,
.safe-browsing-billing button {
    background: var(--edge-blue-rest);
}

.bad-clock a,
.captive-portal a,
.ssl a {
    color: var(--edge-text-blue-rest);
    text-decoration: none;
    border-bottom: 1px solid currentColor;
}

.bad-clock #details-button,
.captive-portal #details-button,
.ssl #details-button {
    color: var(--edge-primary-text-color);
    background-color: transparent;
    border-color: var(--edge-border-rest);
}

.bad-clock #details-button:focus,
.captive-portal #details-button:focus,
.ssl #details-button:focus {
    outline: var(--edge-focus-outline);
}

.bad-clock #details-button:active,
.captive-portal #details-button:active,
.ssl #details-button:active {
    border-color: white;
    background: var(--edge-light-grey-pressed);
    box-shadow: 0 1px 2px 0 rgba(60, 64, 67, .3),
    0 2px 6px 2px rgba(60, 64, 67, .15);
}

.bad-clock #details-button:hover,
.captive-portal #details-button:hover,
.ssl #details-button:hover {
    background: var(--edge-light-grey-hover);
    border-color: var(--edge-border-hover);
    text-decoration: none;
}

.bad-clock #details-button:focus,
.captive-portal #details-button:focus,
.ssl #details-button:focus {
    outline: 2px solid ButtonText;
}

.bad-clock #details-button:hover,
.captive-portal #details-button:hover,
.ssl #details-button:hover {
    background-color: Highlight;
    color: HighlightText;
}

.bad-clock #main-message > p,
.captive-portal #main-message > p,
.lookalike-url #main-message > p,
.ssl #main-message > p {
    font-size: 14px;
    line-height: 20px;
    color: var(--edge-primary-text-color);
}

button:active {
    background: var(--primary-button-fill-color-active);
    outline: 0;
}

#details p:not(:first-of-type) {
    margin-top: 20px;
}

.error-code {
    color: var(--error-code-color);
    font-size: .8em;
    margin-top: 12px;
    text-transform: uppercase;
}

h1 {
    color: var(--edge-primary-text-color);
    font-size: 1.6em;
    font-weight: bold;
    line-height: 1.25em;
    margin-bottom: 16px;
}

h2 {
    font-size: 1.2em;
    font-weight: normal;
}

.icon {
    height: 72px;
    margin: 0 0 40px;
    width: 72px;
}

input[type=checkbox] {
    opacity: 0;
}

.interstitial-wrapper {
    box-sizing: border-box;
    font-size: 1em;
    line-height: 1.6em;
    margin: 14vh auto 0;
    max-width: 600px;
    width: 100%;
}

#main-message > p {
    display: inline;
}

#extended-reporting-opt-in label {
    display: grid;
    grid-template-columns: 1.8em 1fr;
    position: relative;
}

#enhanced-protection-message label {
    display: grid;
    grid-template-columns: 2.5em 1fr;
    position: relative;
}

#enhanced-protection-message div {
    margin: 0.5em;
}

#enhanced-protection-message .icon {
    height: 1.5em;
    vertical-align: middle;
    width: 1.5em;
}

.nav-wrapper {
    margin-top: 51px;
}

.nav-wrapper::after {
    clear: both;
    content: '';
    display: table;
    width: 100%;
}

@media (max-width: 700px) {
    .interstitial-wrapper {
        padding: 0 10%;
    }
}

@media (min-width: 240px) and (max-width: 420px) and
(min-height: 401px),
(min-width: 421px) and (min-height: 240px) and
(max-height: 560px) {
    body .nav-wrapper {
        background: var(--edge-grey-background);
        bottom: 0;
        box-shadow: 0 -22px 40px var(--edge-grey-background);
        left: 0;
        margin: 0 auto;
        max-width: 736px;
        padding-inline-end: 24px;
        padding-inline-start: 24px;
        position: fixed;
        right: 0;
        width: 100%;
        z-index: 2;
    }

    .interstitial-wrapper {
        max-width: 736px;
    }
}

@media (max-width: 420px) and (orientation: portrait),
(max-height: 560px) {
    body {
        margin: 0 auto;
    }

    .nav-wrapper {
        box-sizing: border-box;
        padding-bottom: 8px;
        width: 100%;
    }

    h1 {
        font-size: 1.5em;
        margin-bottom: 8px;
    }

    .icon {
        margin-bottom: 5.69vh;
    }

    .interstitial-wrapper {
        box-sizing: border-box;
        margin: 7vh auto 12px;
        padding: 0 24px;
        position: relative;
    }

    .interstitial-wrapper p {
        font-size: .95em;
        line-height: 1.61em;
        margin-top: 8px;
    }

    #main-content {
        margin: 0;
        transition: opacity 100ms cubic-bezier(0.4, 0, 0.2, 1);
    }

    .suggested-left > #control-buttons,
    .suggested-right > #control-buttons {
        float: none;
        margin: 0;
    }
}

body {
    background-color: var(--edge-grey-background);
}

h1 {
    margin-top: 0;
    word-wrap: break-word;
    color: var(--edge-primary-text-color);
    margin-bottom: 22px;
}

h1 span {
    font-weight: bold;
    font-size: 24px;
    line-height: 32px;
}

h2 {
    color: var(--edge-secondary-text-color);
    font-size: 1.2em;
    font-weight: normal;
    margin: 10px 0;
}

a {
    color: var(--edge-text-blue-rest);
    text-decoration: none;
    border-bottom: 1px solid currentColor;
}

a:hover {
    color: var(--edge-text-blue-hover);
}

a:focus {
    outline: none;
    text-decoration: none;
    border-bottom: var(--edge-focus-outline);
}

.icon {
    -webkit-user-select: none;
    display: inline-block;
}

.icon-thinking {
    content: url(data:image/svg+xml;base64,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);
}

.error-code {
    display: block;
    font-size: 10px;
    line-height: 12px;
    color: var(--edge-secondary-text-color);
    margin-top: 24px;
    font-weight: 500;
}

#suggestions-list p {
    margin-block-end: 0;
    color: var(--edge-primary-text-color);
    font-weight: 700;
}

#suggestions-list ul {
    margin-top: 0;
    color: var(--edge-primary-text-color);
    padding-inline-start: 0;
    list-style: none;
}

#suggestions-list li {
    margin-top: 12px;
    font-size: 14px;
    line-height: 20px;
}

#suggestions-list li:before {
    content: "\2022";
    font-size: 14px;
    padding-right: 1em;
}

.single-suggestion li:before {
    display: none;
}

#error-information-popup-content > p {
    margin-bottom: 11px;
    margin-inline-start: 20px;
}

.use-popup-container#error-information-popup-container #suggestions-list ul {
    margin-inline-start: 15px;
}

.use-popup-container#error-information-popup-container div.error-code {
    margin-inline-start: 20px;
}

.use-popup-container#error-information-popup-container #suggestions-list p {
    margin-inline-start: 20px;
}

[jscontent=hostName],
[jscontent=failedUrl] {
    overflow-wrap: break-word;
}

@-webkit-keyframes show-snackbar {
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@-webkit-keyframes hide-snackbar {
    0% {
        opacity: 1;
        transform: translateY(0);
    }
    100% {
        opacity: 0;
        transform: translateY(90px);
    }
}

@media (max-width: 640px), (max-height: 640px) {
    h1 {
        margin: 0 0 15px;
    }
}

.suggestion-with-image .offline-content-suggestion-visual > img {
    height: 100%;
    width: 100%;
}

.offline-content-suggestion-visual > img {
    border-bottom-left-radius: 8px;
    border-top-left-radius: 8px;
}

.suggestion-with-icon .offline-content-suggestion-visual > div {
    align-items: center;
    background-color: rgb(241, 243, 244);
    border-radius: 50%;
    display: flex;
    height: 2.3em;
    justify-content: center;
    width: 2.3em;
}

.suggestion-with-icon .offline-content-suggestion-visual > div > img {
    height: 1.45em;
    width: 1.45em;
}

.offline-content-summary-images img {
    background: rgb(241, 243, 244);
    border-radius: 50%;
    box-shadow: 0 1px 2px 0 rgb(155, 155, 155),
    0 1px 3px 0 rgb(155, 155, 155);
    padding: 12px;
    width: 32px;
}

html[subframe] body {
    overflow: hidden;
}

#control-buttons {
    margin-bottom: 44px;
}

#details-buttons {
    width: 100%;
}

#details-button {
    box-shadow: none;
    min-width: 0;
    background: none;
    border: none;
    color: var(--edge-primary-text-color);
    cursor: pointer;
    font-size: 14px;
    line-height: 20px;
    text-decoration: none;
    float: left;
    padding: 4px;
    font-family: system-ui, sans-serif;
}

#details-button:before {
    display: inline-block;
    content: "";
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTYiIGhlaWdodD0iMTYiIHZpZXdCb3g9IjAgMCAxNiAxNiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTEzLjM2MTMgNC43MzYzM0wxMy44ODg3IDUuMjYzNjdMOCAxMS4xNTIzTDIuMTExMzMgNS4yNjM2N0wyLjYzODY3IDQuNzM2MzNMOCAxMC4wOTc3TDEzLjM2MTMgNC43MzYzM1oiIGZpbGw9IiMxMDEwMTAiLz4KPC9zdmc+Cg==");
    margin-right: 10px;
    width: 14px;
    height: 10px;
    background-repeat: no-repeat;
    background-position: center center;
    fill: var(--edge-primary-text-color);
}

#details-button:focus {
    outline: solid 2px var(--edge-focus-color);
}

.nav-wrapper {
    margin-top: 44px;
}

#control-buttons,
#details-buttons {
    float: left !important;
}

#reload-button {
    background-color: var(--edge-blue-rest);
    color: white;
    border-radius: 2px;
    width: 100px;
    height: 32px;
    font-family: system-ui, sans-serif;
    font-weight: 600;
    font-size: 12px;
    padding: 0;
    outline: none;
}

#reload-button:focus {
    outline: var(--edge-focus-outline);
    box-shadow: var(--edge-primary-button-focus-shadow);
}

#reload-button:hover {
    background-color: var(--edge-blue-hover);
}

#reload-button:active {
    background-color: var(--edge-blue-pressed);
}

@media (forced-colors: active) {
    #reload-button {
        -ms-high-contrast-adjust: none;
        background-color: Highlight;
        color: HighlightText;
    }

    #reload-button:hover {
        background-color: HighlightText;
        color: Highlight;
        border: 2px solid Highlight;
    }

    #reload-button:focus {
        outline: 2px solid ButtonText;
        box-shadow: none;
    }
}

#main-message > p {
    font-size: 14px;
    line-height: 20px;
    color: var(--edge-primary-text-color);
}

.offline #main-message > p {
    display: none;
}

.offline .interstitial-wrapper {
    color: #2b2b2b;
    font-size: 1em;
    line-height: 1.55;
    margin: 0 auto;
    max-width: 600px;
    padding-top: 100px;
    width: 100%;
}

@media (max-height: 350px) {
    h1 {
        margin: 0 0 15px;
    }

    .interstitial-wrapper {
        margin-top: 5%;
    }

    .nav-wrapper {
        margin-top: 30px;
    }
}

@media (min-width: 420px) and (max-width: 736px) and
(min-height: 240px) and (max-height: 420px) and
(orientation: landscape) {
    .interstitial-wrapper {
        margin-bottom: 100px;
    }
}

@media (max-width: 360px) and (max-height: 480px) {
    .offline .interstitial-wrapper {
        padding-top: 60px;
    }

}

@media (min-height: 240px) and (orientation: landscape) {
    .offline .interstitial-wrapper {
        margin-bottom: 90px;
    }
}

@media (max-width: 240px) {
    button {
        padding-left: 12px;
        padding-right: 12px;
    }

    .interstitial-wrapper {
        overflow: inherit;
        padding: 0 8px;
    }
}

@media (max-width: 120px) {
    button {
        width: auto;
    }
}

/*LOGIN_POPUP*/

.popup_Window {
    position: absolute;
    width: 160px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #011246;
    box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.5);
    text-align: center;
    display: none;
}

.row_logTitle_popup {
    background: #4f6220;
    display: flex;
    flex-direction: row;
    margin-bottom: 10px;
}

.title_popup {
    width: 100%;
    color: #ffffff;
    font-family: 'moscow', sans-serif;
    font-size: 13px;
    border-right: none;
    padding: 2px 0 2px 20px;
}

.exit {
    width: 20px;
    color: #ffffff;
    font-size: 14px;
    text-align: center;
    cursor: pointer;
    outline: 0;
}

.exit:hover {
    color: #fceb2f;
}

.exit:active {
    color: #c2c2c2;
}

.inp_text {
    width: 130px;
    height: 20px;
    font-size: 14px;
    font-family: 'moscow', sans-serif;
    text-align: center;
    color: #c2c2c2;
    background: #021960;
    border: none;
    outline: 0;
}

/*input::-ms-reveal,*/
/*input::-ms-clear {*/
/*    display: none;*/
/*}*/

input:-webkit-autofill {
    -webkit-background-clip: text;
    -webkit-text-fill-color: #c2c2c2;
    -webkit-box-shadow: 0 0 0 30px #021960 inset;
}

.text {
    color: #c2c2c2;
    font-family: 'moscow', sans-serif;
    font-size: 10px;
    margin: 3px 0 10px 0;
}

.button_loginEnter {
    height: 22px;
    width: 90px;
    color: #ffffff;
    font-family: 'moscow', sans-serif;
    font-size: 13px;
    background: #4f6220;
    margin-bottom: 5px;
    border: none;
    cursor: pointer;
    outline: 0;
}

.button_loginEnter:hover {
    color: #fceb2f;
}

.button_loginEnter:active {
    color: #c2c2c2;
}

.block_center {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.registration {
    width: 93px;
    color: #c2c2c2;
    font-size: 10px;
    cursor: pointer;
    outline: 0;
}

.registration:hover {
    color: #abfffe;
}

.registration:active {
    color: #ffffff;
}

.border_popup_logWindow {
    width: 100%;
    height: 3px;
    margin-top: 10px;
    background: #4f6220;
}

.overlay {
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    position: fixed;
    top: 0;
    left: 0;
    display: none;
}